#include <avr/io.h>
#include <util/delay.h>
#include <stdio.h>
#include "lcd/HD44780.h"
#include "sound_analysis.h"
#include "adc/adc.h"

// LEDs/buttons
#define LED1 PB1
#define LED2 PB2
#define LED3 PB7
#define LED4 PE6
#define BTN1 PB3
#define BTN2 PC6

#define DISPLAY_HOLD_MS 2000

void turn_led2_on(void);
void turn_led2_off(void);

void init_guitar_tuner(void);
void loop_guitar_tuner(char *note_buf);